package com.wissamfawaz;

import java.util.Arrays;
import java.util.HashSet;
import java.util.Set;
import java.util.TreeSet;

public class Main {

	public static void main(String[] args) {
		String[] colors = {
			"Red", "Red",
			"Green", "Green",
			"Yellow", "Yellow",
			"Black", "White"
		};
		
		Set<String> colorsAsHS = new HashSet<>(Arrays.asList(colors));
		System.out.println("Colors without duplicates: " + colorsAsHS);
		TreeSet<String> colorsAsTS = new TreeSet<>(colorsAsHS);
		System.out.println("Colors without duplicates and ordered: " + 
				colorsAsTS);
		
		System.out.println("Smallest color: " + colorsAsTS.first());
		System.out.println("Largest color: " + colorsAsTS.last());
		
		System.out.println("Largest color smaller than Red: " + 
				colorsAsTS.lower("Red"));
		System.out.println("Smallest color larger than Red: " + 
				colorsAsTS.higher("Red"));
		
		System.out.println("Colors less than Red: " + colorsAsTS.headSet("Red"));
		System.out.println("Colors greater than or equal to Red: " + 
				colorsAsTS.tailSet("Red"));
		
		
		
		
		
		
		
		

	}

}
